# Toolbar Editor

With this extension you can create custom toolbars with buttons from any other plugin. You can create toolbars that only contain buttons that you actually use, or combine buttons from different extensions.

You can also quickly add new buttons for Ruby commands or useful code snippets without needing to turn the code into a plugin on its own.

### Usage:

Menu "Window" → "Toolbar Editor"

- Click the "+" button on the left to create a new toolbar. You can edit the toolbar name or remove the toolbar ("-" button).

- Drag and drop items from the list of available buttons to the left into a toolbar panel. You can rearrange the buttons, move them into other toolbars or remove them by dropping them out to the right. Don't forget to click the "Apply" button to save once you are happy with the changes. Not all changes can be applied immediately, some only on next start of SketchUp.

- The list can be filtered by typing some keys into the search field.

- Click the "+" button on the right to create a new button. You can then write your own Ruby commands or paste a piece of Ruby code that you found on the forums.

