define([], function () {

  /**
   * Hash function to get short and reproducible identifiers.
   * @param {object} object
   */
  return function adler32 (s) {
    var s = String(s),
      h = 0,
      m = 99999,
      c;
    for (var i = 0; i < s.length; i++) {
      c = s.charCodeAt(i);
      h = (128 * h + c) % m;
    }
    return h;
  };

});
