define(['jquery', 'jqueryui'], function ($, _) {

  /**
   * @class ToolbarButton
   */
  return function ToolbarButton (id, object) {

    /** @private */
    var button = this;
    button.id = id;
    var entry = object;
    if (!entry) { return; }

    /**
     * @constructor
     */
    var initialize = function() {
      button.jQueryElement = $("<li/>").
        attr({"id": entry.id, "name": entry.id, "title": entry.name, "class": "toolbar-button"}).
        data("entry", entry).
        append(
          $("<img/>").attr({"class": "icon", "src": entry.icon}),
          $("<span/>").attr({"class": "name"}).text(entry.name),
          $("<span/>").attr({"class": "category"}).text(entry.category),
          $("<span/>").attr({"class": "description"}).text(entry.description)
        );
    };

    initialize();
  };

});
