# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'
require File.join('ae_toolbareditor', 'version.rb')

# Create the extension.
ext = SketchupExtension.new('ToolbarEditor', 'ae_toolbareditor/toolbareditor.rb')

# Attach some nice info.
ext.creator     = 'Aerilius'
ext.version     = AE::ToolbarEditor::VERSION
ext.copyright   = '2013-2021, Andreas Eisenbarth'
ext.description = 'A drag&drop editor to create custom toolbars.'

# Register and load the extension on startup.
Sketchup.register_extension(ext, true)
